/* #############################################################################################
   #################################   CHART ANIMATED WIDGET ZP    #############################
   ############################################################################################# */
if (!window.$wzp) {
    window.$wzp = {};
}
(function () {
    if ("IntersectionObserver" in window) {
        const observer = new IntersectionObserver(
            function (entries, observer) {
                entries.forEach((entry) => {
                    const target = entry.target;
                    if (entry.isIntersecting && "animate" in target) {
                        target.style.backgroundColor =
                            entry.target.getAttribute("data-color");
                        target.animate(
                            [
                                { width: 0 },
                                {
                                    width:
                                        target.getAttribute("data-percent") +
                                        "%",
                                },
                            ],
                            {
                                easing: "ease-in-out",
                                duration: parseInt(
                                    target.getAttribute("data-duration") ?? 3000
                                ),
                                fill: "forwards",
                            }
                        );

                        observer.unobserve(target);
                    }
                });
            },
            { root: null, rootMargin: "0px", threshold: 0 }
        );

        $wzp.ProgressBar = function (selector) {
            const elements = document.querySelectorAll(selector);
            elements.forEach((ele) => observer.observe(ele));
        };
    } else {
        $wzp.ProgressBar = function (selector) {
            const elements = document.querySelectorAll(selector);
            elements.forEach((ele) => {
                ele.style.backgroundColor = ele.getAttribute("data-color");
                ele.style.width = ele.getAttribute("data-percent") + "%";
            });
        };
    }
})();
/* #############################################################################################
   ###############################   ENDE CHART ANIMATED WIDGET ZP    ##########################
   ############################################################################################# */
